import type { Bud } from '@roots/bud-framework';
export type Parameters = [Record<string, string>] | [string, string] | [string];
export interface setPath {
    (...parameters: Parameters): Bud;
}
/**
 * Set a project path.
 *
 * @remarks
 * All values should be relative to the project directory.
 *
 * @example
 * Set project path
 * ```js
 * bud.setPath('/app/absolute/path/')
 * ```
 *
 * @example
 * ```js
 * bud.setPath('@src', 'custom/src')
 * ```
 */
export declare const setPath: setPath;
